---
name: Bug report
about: Create a report to help us improve

---

**Describe the bug**
A clear and concise description of what the bug is, including the stacktrace (if there was one).

**To Reproduce**
Steps to reproduce the behavior:
1. Built with the command: '...'
2. Run like this: '....'
3. On the architecture/host/platform: '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Environment:**
 - Operating system & version
 - Compiler vendor & version
 - Build environment (make or cmake)
 - Configuration of DBCSR (either the cmake flags or the `Makefile.inc`)
 - MPI implementation and version
 - If CUDA is being used: CUDA version and GPU architecture
 - BLAS/LAPACK implementation and version
 - If applicable: Runtime information (how many nodes, type of nodes, ...)
